List Dataset Relationships
GET
/datasets/{dataset_id}/relationships/
const url = 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/relationships/?skip=0&limit=100';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/relationships/?skip=0&limit=100' \ --header 'Authorization: Bearer <token>'List FK relationships for a dataset.
Paginated via skip and limit to bound response size for datasets
with large numbers of auto-detected relationships.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” dataset_id
required
Dataset Id
string format: uuid
Query Parameters
Section titled “Query Parameters ” skip
Skip
Number of relationships to skip.
integer
Number of relationships to skip.
limit
Limit
Maximum number of relationships to return (PERF-N16).
integer
Maximum number of relationships to return (PERF-N16).
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Response List Dataset Relationships Datasets Dataset Id Relationships Get
Array<object>
DatasetRelationshipResponseobject
id
required
Id
string format: uuid
source_dataset_id
required
Source Dataset Id
string format: uuid
target_dataset_id
required
Target Dataset Id
string format: uuid
source_column
required
Source Column
string
target_column
required
Target Column
string
relationship_type
required
Relationship Type
string
Example generated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "source_dataset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "target_dataset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "source_column": "example", "target_column": "example", "relationship_type": "example", "label": "example", "target_dataset_title": "example" }]Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}